Subject: Re: bug#39090: Installer fails on install disk built from master
From: Ludovic Courtès <[email-masked]>
To: Gábor Boskovits <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Wed, 15 Jan 2020 18:44:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Gábor Boskovits <[email-masked]> skribis:

> Ricardo Wurmus <[email-masked]> ezt írta (időpont: 2020. jan. 11.,
> Szo, 17:44):
>>
>>
>> Gábor Boskovits <[email-masked]> writes:
>>
>> > 5. create a file gexp.scm with this content:
>> > (use-modules
>> >  (gnu packages package-management)
>> >  (guix gexp))
>> >
>> > (program-file
>> >  "a"
>> >  (with-extensions
>> >   (list guix)
>> >   #~(#t)))
>> > 6. guix build -f gexp.scm
>> >
>> > This will fail with as strange error message.
>>
>> What’s the error message?
>
> guix build: error: got unexpected path <store-path-name> from substituter
>
> <store-path-name> varies, currently it was
> /gnu/store/0q95b...-libarchive-3.4.0.tar.gz

Fixed by e2922f527ee8d891a41b5086637fa560a1c2ddd8!  I’ll update the
‘guix’ package shortly.

This was tricky to reproduce because it depends on what’s in your store
and what’s in /var/guix/substitute/cache.

I managed to reproduce it first in a VM following your instructions, and
then on a local instance of guix-daemon where I had wiped
/var/guix/substitute/cache and also changed the condition in
‘http-multiple-get’ to exercise the “Connection: close” case (which is
otherwise infrequent.)

Thanks a lot for your investigation, which helped a lot!

Ludo’.